//
//  ViewController.m
//  Crosshairs
//
//  Created by Max Rivlin on 1/6/15.
//  Copyright (c) 2015 Infragistics. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
{
    IGChartView *_chart;
    NSArray *_data;
    IGCategorySeriesDataSourceHelper *_dsh;
    
    IGCrosshairLayer *_crosshair;
}
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    _data = [self createData:10];
    
    _dsh = [[IGCategorySeriesDataSourceHelper alloc]initWithData:_data andValuePath:@"value"];
    
    _chart = [[IGChartView alloc]initWithFrame:self.view.frame];
    _chart.delegate = self;
    
    [_chart addSeriesForType:[IGColumnSeries class] usingKey:@"series" withDataSource:_dsh firstAxisKey:@"x" secondAxisKey:@"y"];
    
/***** uncomment the following two lines to use a crosshair layer instead of default crosshairs. *****/
//    _crosshair = [[IGCrosshairLayer alloc]initWithKey:@"crosshair"];
//    [_chart addSeries:_crosshair];
    
    [self.view addSubview:_chart];
}

-(NSArray*)createData:(NSInteger)count
{
    NSMutableArray *data = [[NSMutableArray alloc]initWithCapacity:count];
    
    for (int i=0; i<count; i++)
    {
        ChartData *obj = [[ChartData alloc]init];
        obj.value = arc4random()%10;
        obj.label = [NSString stringWithFormat:@"item %i", i];
        [data addObject:obj];
    }
    
    return data;
}

-(UIView *)chartView:(IGChartView *)chartView viewForTooltipWithItemlist:(NSDictionary *)itemlist atPoint:(CGPoint)point
{
    UILabel *label = [[UILabel alloc]init];
    label.text = @"tooltip";
    [label sizeToFit];
    return label;
}
@end


@implementation ChartData
@end